The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

apache 1.3.39 released

Discussion in 'EasyApache' started by brhospedagens, Sep 7, 2007.

  1. brhospedagens

    brhospedagens Member

    Joined:
    Mar 7, 2006
    Messages:
    16
    Likes Received:
    0
    Trophy Points:
    1
    Hi there,

    Does anybody know when apache 1.3.39 will be available for cpanel ?

    Regards
     
  2. nyjimbo

    nyjimbo Well-Known Member

    Joined:
    Jan 25, 2003
    Messages:
    1,125
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    New York
    This version of Apache is a security fix release only:

    CVE-2006-5752: mod_status: Fix a possible XSS attack against a site with a public server-status page and ExtendedStatus enabled, for browsers which perform charset "detection".

    CVE-2007-3304: Ensure that the parent process cannot be forced to kill non-child processes by checking scoreboard PID data with parent process privately stored PID data.

    mime.types: Many updates to sync with IANA registry and common unregistered types that the owners refuse to register. Admins are encouraged to update their installed mime.types file.

    Please note that ability to exploit this issue is dependent on running untrusted 3rd party modules or untrusted server-side code.


    Seems like something that we can wait a while for.
     
    #2 nyjimbo, Sep 7, 2007
    Last edited: Sep 7, 2007
  3. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    No word on this at this time, however if you submit a feature request for it at http://bugzilla.cpanel.net and post a link to it here, it may speed things up a little :).
     
  4. brhospedagens

    brhospedagens Member

    Joined:
    Mar 7, 2006
    Messages:
    16
    Likes Received:
    0
    Trophy Points:
    1
    great!


    Great David, thanks a lot :)
     
  5. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    Should be soon, testing now
     
  6. ChadE

    ChadE Active Member

    Joined:
    Mar 14, 2005
    Messages:
    32
    Likes Received:
    0
    Trophy Points:
    6
    Great! Will 2.2.6 be available in EDGE at the same time? I'm looking at upgrading to PHP 5.2.4 and Apache 2.2.6 (I am already running Apache 2) when EDGE supports it.
     
  7. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    Yes, ea3 will probably be updated before ea1 in fact :)
     
  8. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    1.3.39 Will be delayed becasue modssl is not yet updated as per http://www.modssl.org/

    "Current Version: mod_ssl 2.8.28 for Apache 1.3.37"

    Trying to do it anyway we get:

    Configuring mod_ssl/2.8.28 for Apache/1.3.37
    ./configure:Error: The mod_ssl/2.8.28 can be used for Apache/1.3.37 only.
    ./configure:Error: Your Apache source tree under /home/cpeasyapache/src/apache_1.3.39 is version 1.3.39.
    ./configure:Hint: Please use an extracted apache_1.3.37.tar.gz tarball
     
  9. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
  10. tanfwc

    tanfwc Well-Known Member

    Joined:
    Mar 12, 2004
    Messages:
    94
    Likes Received:
    0
    Trophy Points:
    6
    seems like a long delay is going to expected :D
     
  11. katmai

    katmai Well-Known Member

    Joined:
    Mar 13, 2006
    Messages:
    526
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Brno, Czech Republic
    i have another question. mod_evasive for apache 2.2.4 (6) . has anyone been able to build that? i was not successful in doing it.

    cheers.
     
  12. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    What option are you refergin to in ea3?

    What error are you getting?

    If its not an option then there is likley good reason for it and if you are absolutely sure you want it use "raw opts" as documented here:

    http://www.cpanel.net/support/docs/easyapache.htm
     
  13. danf

    danf Active Member

    Joined:
    Apr 10, 2006
    Messages:
    26
    Likes Received:
    0
    Trophy Points:
    1
    mod_ssl 2.8.29 for Apache 1.3.39 was released today.

    --df
     
  14. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    yep just about an hour ago or so. Testing it now :)
     
  15. danf

    danf Active Member

    Joined:
    Apr 10, 2006
    Messages:
    26
    Likes Received:
    0
    Trophy Points:
    1
    How can I tell when Apache 1.3.39 and mod_ssl 2.8.29 have made it into a build? We need them ASAP. Are there any mailing lists or RSS feeds that will be notified?

    --df
     
  16. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    ea3 had apache 1 yesterday around 5.

    ea1 will have it today pending some testing
     
  17. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    ea1 has apache 1.3.39 now
     
  18. ChadE

    ChadE Active Member

    Joined:
    Mar 14, 2005
    Messages:
    32
    Likes Received:
    0
    Trophy Points:
    6
    Was 2.2.6 added to EA3? Would it be a possibility for EasyApache to include the presently supported Apache version so when Apache releases an update, server owners will know when it has been added to EA3?
     
  19. cPDan

    cPDan cPanel Staff
    Staff Member

    Joined:
    Mar 9, 2004
    Messages:
    711
    Likes Received:
    3
    Trophy Points:
    18
    Yes, 2.x was updated the day it came out :) 1.3 had to wait for mod_ssl to catch up.

    Its in the UI, and will be part of the changelog eventually. Are youaskign for something like:

    --latest-versions

    that shows the apache and PHP versions?

    That would be rather helpful
     
  20. dlthhost

    dlthhost Member

    Joined:
    Sep 28, 2006
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Bangkok, Thailand
    cPanel Access Level:
    Root Administrator
    Error Message (Failed1: cannot open shared object file:1)
    Apache Failed Start when Apache Update
    from
    Apache 1.3.37 -> 13.3.9
    PHP 5.2.3 -> 5.2.4
    CentOS 4.5
    WHM 11.2.0 cPanel 11.11.0-R16983

    How to fixed
     
Loading...

Share This Page